package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 自动化
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
@Getter
@Setter
@TableName("ams_auto")
public class AmsAuto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "ams_auto_id", type = IdType.ASSIGN_UUID)
    private String amsAutoId;

    /**
     * 自动化名称
     */
    private String autoName;

    /**
     * 空投项目id
     */
    private String projectId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 策略id
     */
    private String strategyIds;

    /**
     * 任务id
     */
    private String taskIds;

    /**
     * 创建时间
     */
    private LocalDateTime createTiame;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
