package com.ichaoj.ams.request.airdrop.task;

import com.ichaoj.ams.request.airdrop.CreateAirdropProject;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(title = "修改空投任务")
public class UpdateAirdropTask extends CreateAirdropTask {

    @Schema(title = "空投任务Id")
    @NotBlank
    private String amsTaskId;

}
