package com.ichaoj.ams.request.auto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@Data
@Schema(title = "创建自动化")
public class CreateAuto {

    /**
     * 策略名称
     */
    private String strategyName;

    /**
     * 策略规划
     */
    private String strategyPlan;

    /**
     * 策略类型
     */
    private String strategyType;

    /**
     * 执行状态;是否启用(0否，1是)
     */
    private String strategyStatus;


}
